Apache JMeter

## org.apache.jmeter.util
Class NameUpdater

    java.lang.Object
      org.apache.jmeter.util.NameUpdater

    public final class NameUpdater

extends Object

Method Summary
`static String` `getCurrentName(String className)`
`static String` `getCurrentName(String propertyName, String className)`
`static String` `getCurrentName(String value, String propertyName, String className)`
`static String` `getCurrentTestName(String testClassName, String guiClassName)` Looks up test element / gui class combination; if that does not exist in the map, then defaults to getCurrentName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCurrentName

    public static String getCurrentName(String className)

### getCurrentTestName

    public static String getCurrentTestName(String testClassName,
                                            String guiClassName)

  Looks up test element / gui class combination; if that does not exist in the map, then defaults to getCurrentName.

  Parameters:
    `testClassName` - - test element class name
    `guiClassName` - - associated gui class name
  Returns:
    new test class name

### getCurrentName

    public static String getCurrentName(String propertyName,
                                        String className)

### getCurrentName

    public static String getCurrentName(String value,
                                        String propertyName,
                                        String className)

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.